> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Update Transactional Email Settings

PUT https://api.bigcommerce.com/stores/{store_hash}/v3/settings/email-statuses
Content-Type: application/json

Update global transactional email settings or create channel specific overrides by `channel_id`.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/settings/email-statuses/update-settings-email-statuses

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | modify | `store_v2_information` | | Information & Settings | read-only | `store_v2_information_read_only` | NOTE: Analytics endpoints require the Content (`store_v2_content` and `store_v2_content_read_only`) OAuth scope. ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Query parameters

- `channel_id` (integer, optional) — Channel ID to use for channel-specific settings. If omitted, you will interact with the global settings only.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

### Body (application/json)

This endpoint expects an EnabledTransactionalEmails.

- `abandoned_cart_email` (boolean, optional)
- `account_details_changed_email` (boolean, optional)
- `combined_order_status_email` (boolean, optional)
- `create_account_email` (boolean, optional)
- `create_guest_account_email` (boolean, optional)
- `gift_certificate_email` (boolean, optional)
- `invoice_email` (boolean, optional)
- `order_message_notification_email` (boolean, optional)
- `product_review_email` (boolean, optional)
- `return_confirmation_email` (boolean, optional)
- `return_statuschange_email` (boolean, optional)

## Response

### 200

OK

- `data` (EnabledTransactionalEmails, optional)
- `meta` (MetaOpen, optional) — Response metadata.

## Types

### EnabledTransactionalEmails

- `abandoned_cart_email` (boolean, optional)
- `account_details_changed_email` (boolean, optional)
- `combined_order_status_email` (boolean, optional)
- `create_account_email` (boolean, optional)
- `create_guest_account_email` (boolean, optional)
- `gift_certificate_email` (boolean, optional)
- `invoice_email` (boolean, optional)
- `order_message_notification_email` (boolean, optional)
- `product_review_email` (boolean, optional)
- `return_confirmation_email` (boolean, optional)
- `return_statuschange_email` (boolean, optional)

### MetaOpen

Response metadata.

## Examples

**Request**

```json
{
  "abandoned_cart_email": true,
  "account_details_changed_email": true,
  "combined_order_status_email": true,
  "invoice_email": true,
  "product_review_email": false,
  "return_confirmation_email": true,
  "return_statuschange_email": true,
  "createaccount_email": true,
  "createguestaccount_email": true,
  "giftcertificate_email": true,
  "ordermessage_notification": true
}
```

**Response**

```json
{
  "data": {
    "abandoned_cart_email": true,
    "account_details_changed_email": true,
    "combined_order_status_email": true,
    "invoice_email": true,
    "product_review_email": false,
    "return_confirmation_email": true,
    "return_statuschange_email": true,
    "createaccount_email": true,
    "createguestaccount_email": true,
    "giftcertificate_email": true,
    "ordermessage_notification": true
  },
  "meta": {}
}
```

**SDK Code**

```python Example
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/settings/email-statuses"

payload = {
    "abandoned_cart_email": True,
    "account_details_changed_email": True,
    "combined_order_status_email": True,
    "invoice_email": True,
    "product_review_email": False,
    "return_confirmation_email": True,
    "return_statuschange_email": True,
    "createaccount_email": True,
    "createguestaccount_email": True,
    "giftcertificate_email": True,
    "ordermessage_notification": True
}
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Example
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/settings/email-statuses';
const options = {
  method: 'PUT',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"abandoned_cart_email":true,"account_details_changed_email":true,"combined_order_status_email":true,"invoice_email":true,"product_review_email":false,"return_confirmation_email":true,"return_statuschange_email":true,"createaccount_email":true,"createguestaccount_email":true,"giftcertificate_email":true,"ordermessage_notification":true}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/settings/email-statuses"

	payload := strings.NewReader("{\n  \"abandoned_cart_email\": true,\n  \"account_details_changed_email\": true,\n  \"combined_order_status_email\": true,\n  \"invoice_email\": true,\n  \"product_review_email\": false,\n  \"return_confirmation_email\": true,\n  \"return_statuschange_email\": true,\n  \"createaccount_email\": true,\n  \"createguestaccount_email\": true,\n  \"giftcertificate_email\": true,\n  \"ordermessage_notification\": true\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/settings/email-statuses")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"abandoned_cart_email\": true,\n  \"account_details_changed_email\": true,\n  \"combined_order_status_email\": true,\n  \"invoice_email\": true,\n  \"product_review_email\": false,\n  \"return_confirmation_email\": true,\n  \"return_statuschange_email\": true,\n  \"createaccount_email\": true,\n  \"createguestaccount_email\": true,\n  \"giftcertificate_email\": true,\n  \"ordermessage_notification\": true\n}"

response = http.request(request)
puts response.read_body
```

```java Example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.bigcommerce.com/stores/store_hash/v3/settings/email-statuses")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"abandoned_cart_email\": true,\n  \"account_details_changed_email\": true,\n  \"combined_order_status_email\": true,\n  \"invoice_email\": true,\n  \"product_review_email\": false,\n  \"return_confirmation_email\": true,\n  \"return_statuschange_email\": true,\n  \"createaccount_email\": true,\n  \"createguestaccount_email\": true,\n  \"giftcertificate_email\": true,\n  \"ordermessage_notification\": true\n}")
  .asString();
```

```php Example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.bigcommerce.com/stores/store_hash/v3/settings/email-statuses', [
  'body' => '{
  "abandoned_cart_email": true,
  "account_details_changed_email": true,
  "combined_order_status_email": true,
  "invoice_email": true,
  "product_review_email": false,
  "return_confirmation_email": true,
  "return_statuschange_email": true,
  "createaccount_email": true,
  "createguestaccount_email": true,
  "giftcertificate_email": true,
  "ordermessage_notification": true
}',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Example
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/settings/email-statuses");
var request = new RestRequest(Method.PUT);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"abandoned_cart_email\": true,\n  \"account_details_changed_email\": true,\n  \"combined_order_status_email\": true,\n  \"invoice_email\": true,\n  \"product_review_email\": false,\n  \"return_confirmation_email\": true,\n  \"return_statuschange_email\": true,\n  \"createaccount_email\": true,\n  \"createguestaccount_email\": true,\n  \"giftcertificate_email\": true,\n  \"ordermessage_notification\": true\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Example
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "abandoned_cart_email": true,
  "account_details_changed_email": true,
  "combined_order_status_email": true,
  "invoice_email": true,
  "product_review_email": false,
  "return_confirmation_email": true,
  "return_statuschange_email": true,
  "createaccount_email": true,
  "createguestaccount_email": true,
  "giftcertificate_email": true,
  "ordermessage_notification": true
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/settings/email-statuses")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```